%global npmname colorspace

Name:           nodejs-%{npmname}
Version:        1.1.2
Release:        1%{?dist}
Summary:        Generate HEX colors for a given namespace

License:        MIT
URL:            https://www.npmjs.com/package/%{npmname}

Source0:        https://github.com/3rd-Eden/colorspace/archive/%{version}/%{name}-%{version}.tar.gz

BuildRequires:  nodejs-packaging

BuildRequires:  mocha
BuildRequires:  nodejs-assume
BuildRequires:  nodejs-text-hex
BuildRequires:  nodejs-color

BuildArch:      noarch
ExclusiveArch: %{nodejs_arches} noarch

%description
Colorspace is a simple module which generates HEX color codes
for namespaces. The base color is decided by the first part of
the namespace. All other parts of the namespace alters the color
tone. This way you can visually see which namespaces belong
together and which does not.

%prep
%autosetup -n %{npmname}-%{version}

%nodejs_fixdep color

%build
# Nothing to build, this is a noarch package

%install
mkdir -p %{buildroot}%{nodejs_sitelib}/%{npmname}
cp -a index.js %{buildroot}%{nodejs_sitelib}/%{npmname}/
cp -a package.json %{buildroot}%{nodejs_sitelib}/%{npmname}/

%nodejs_symlink_deps

%check
%nodejs_symlink_deps --check
%{__nodejs} -e 'require("./")'

mocha test.js

%files
%{nodejs_sitelib}/%{npmname}/
%license LICENSE.md
%doc README.md

%changelog
* Tue Apr 28 2020 Ben Rosser <rosser.bjr@gmail.com> - 1.1.2-1
- Initial package for Fedora.
